<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h1>#{messages['net.ihe.gazelle.transformation.NewObjectType']}</h1>
            <h:form id="globalForm">
                #{objectTypeManagerBean.initCreateObjectType()}
                <s:div id="editObjectTypePanel">
                    <ui:decorate template="/layout/panels/_panel_footer.xhtml">
                        <div class="form-horizontal">
                            <a4j:region id="keywordRegion">
                                <s:decorate id="keywordDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="keywordDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Keyword']}</ui:define>
                                    <h:inputText id="path" styleClass="form-control" required="true" requiredMessage="Keyword is required"
                                                 value="#{objectTypeManagerBean.selectedObjectType.keyword}">
                                        <a4j:ajax event="blur" render="keywordDecoration" execute="@this"/>
                                    </h:inputText>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="nameRegion">
                                <s:decorate id="nameDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="nameDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Name']}</ui:define>
                                    <h:inputText id="label" styleClass="form-control" required="true" requiredMessage="Name is required"
                                                 value="#{objectTypeManagerBean.selectedObjectType.name}">
                                        <a4j:ajax event="blur" render="nameDecoration" execute="@this"/>
                                    </h:inputText>
                                </s:decorate>
                            </a4j:region>
                            <a4j:region id="descriptionRegion">
                                <s:decorate id="descriptionDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="descriptionDecoration"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Description']}</ui:define>
                                    <h:inputTextarea id="description" styleClass="form-control" rows="2" cols="30"
                                                     value="#{objectTypeManagerBean.selectedObjectType.description}">
                                        <a4j:ajax event="blur" render="descriptionDecoration" execute="@this"/>
                                    </h:inputTextarea>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <ui:define name="panel_footer">
                            <a4j:commandButton id="editObjectTypeSaveButton" styleClass="gzl-btn-green"
                                               value="#{messages['net.ihe.gazelle.transformation.Save']}"
                                               action="#{objectTypeManagerBean.save()}"
                                               render="editObjectTypePanel"/>
                            <a4j:commandButton id="editObjectTypeBackButton" styleClass="gzl-btn"
                                               value="#{messages['net.ihe.gazelle.transformation.Cancel']}" bypassUpdates="true"
                                               immediate="true"
                                               action="/objecttype/list.seam"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </h:form>
        </ui:decorate>
    </ui:define>
</ui:composition>